summaryrefslogtreecommitdiff
path: root/games/polyglot/polyglot.SlackBuild
diff options
context:
space:
mode:
authorMarco Pessotto <melmothx@gmail.com>2010-05-12 23:29:29 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:29 +0200
commit4906deea0badc09f2298c15ba73bbc95826e7fac (patch)
tree6b2f36df31dbacb747d3ff98fd6b84b382058b2c /games/polyglot/polyglot.SlackBuild
parent052da672eeafb8d2c2e5bc2df5ec8ca1b2b01921 (diff)
downloadslackbuilds-4906deea0badc09f2298c15ba73bbc95826e7fac.tar.gz
games/polyglot: Added to 12.2 repository
Diffstat (limited to 'games/polyglot/polyglot.SlackBuild')
-rw-r--r--games/polyglot/polyglot.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/games/polyglot/polyglot.SlackBuild b/games/polyglot/polyglot.SlackBuild
new file mode 100644
index 0000000000..8030963bfe
--- /dev/null
+++ b/games/polyglot/polyglot.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for polyglot
+
+# Written by Marco Pessotto <melmothx@gmail.com>
+
+# no copyright, public domain
+
+PRGNAM=polyglot
+VERSION=${VERSION:-1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=${PRGNAM}_$(echo $VERSION | tr -d \.) ## weird version number
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$SRCNAM.zip -d $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cd $SRCNAM/src
+ make CXXFLAGS="-pipe $SLKCFLAGS -fno-exceptions -fno-rtti -fomit-frame-pointer"
+ strip --strip-unneeded $PRGNAM
+ mkdir -p $PKG/usr/games
+ cp $PRGNAM $PKG/usr/games
+cd -
+
+## Add the manpage (thanks to Debian)
+mkdir -p $PKG/usr/man/man6
+cat $CWD/$PRGNAM.6.gz > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a example $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $SRCNAM/readme.txt $SRCNAM/copying.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+## From Debian:
+cat $CWD/fruit_book_linux.ini > \
+ $PKG/usr/doc/$PRGNAM-$VERSION/example/fruit_book_linux.ini
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz